Bug 486874 - Add resume hook for lm_sensors
Add resume hook for lm_sensors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Nikola Pajkovsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 14:48 EST by Alexey Torkhov
Modified: 2014-02-02 17:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:20:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lm_sensors resume hook (223 bytes, text/plain)
2009-02-22 14:48 EST, Alexey Torkhov
no flags Details

  None (edit)
Description Alexey Torkhov 2009-02-22 14:48:17 EST
Created attachment 332873 [details]
lm_sensors resume hook

Description of problem:
When system is resumed from suspend or hibernate all sensors limits are got reset. This could lead to wrong alarms, etc.
To prevent this, simple resume hook doing "sensors -s" could be put in /usr/lib/pm-utils/sleep.d.
Comment 1 Hans de Goede 2009-02-22 17:01:47 EST
(In reply to comment #0)
> Created an attachment (id=332873) [details]
> lm_sensors resume hook
> 
> Description of problem:
> When system is resumed from suspend or hibernate all sensors limits are got
> reset. This could lead to wrong alarms, etc.
> To prevent this, simple resume hook doing "sensors -s" could be put in
> /usr/lib/pm-utils/sleep.d.

Cool idea! But something which should be discussed and handled primarily upstream IMHO (I'm biased as I'm an upstream contributor). Can you please subscribe to:
http://lists.lm-sensors.org/mailman/listinfo/lm-sensors

And discuss this there? Its pretty low trafic.

Thanks!
Comment 3 Bug Zapper 2009-06-09 07:34:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Hans de Goede 2009-07-07 10:00:10 EDT
Nikola Pajkovsky,

I'm not sure doing sensors -s on resume automatically is a good idea, I believe this issue is best discussed upstream and that any changes for this should go through upstrean. Can you please subscribe to the lm-sensors mailing list and
discuss this there ? :

http://lists.lm-sensors.org/mailman/listinfo/lm-sensors
Comment 5 Jean Delvare 2009-07-14 09:09:52 EDT
For the records: the lm-sensors list is opened to non-subscriber posts, so there is no need to actually subscribe if you don't intend to read other list postings.
Comment 6 Bug Zapper 2010-04-27 09:02:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:20:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.